SORT(1)

NOM
sort - Trier les lignes de fichiers texte

SYNOPSIS
sort [OPTION]... [FICHIER]...
sort [OPTION]... --files0-from=F

DESCRIPTION

Afficher sur la sortie standard la concaténation triée de tous les FICHIERs.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte. Options de tri :

-b, --ignore-leading-blanks
    ignorer les blancs de tête

-d, --dictionary-order
    ne prendre en compte que les blancs et les caractères alphanumériques

-f, --ignore-case
    convertir les caractères minuscules en majuscules

-g, --general-numeric-sort
    comparer selon la valeur numérique des caractères

-i, --ignore-nonprinting
    ne prendre en compte que les caractères imprimables

-M, --month-sort
    comparer (inconnu) < « JANV. » < ... < « DÉC. »

-h, --human-numeric-sort
    comparer des nombres dans un format lisible par un humain (par exemple, 2K 1G)

-n, --numeric-sort
    comparer selon la valeur numérique de la chaîne

-R, --random-sort
    trier de façon aléatoire

--random-source=FICHIER
    obtenir les octets aléatoires depuis FICHIER

-r, --reverse
    inverser le résultat des comparaisons

--sort=MODE
    trier selon le MODE : general-numeric -g, human-numeric -h, month -M, numeric -n, random -R, version -V

-V, --version-sort
    tri naturel des numéros (de version) dans le texte

Autres options :

--batch-size=NFUSION
    fusionner au plus NFUSION entrées à la fois ; sinon, utiliser des fichiers temporaires

-c, --check, --check=diagnose-first
    vérifier si l'entrée est triée ; ne pas trier

-C, --check=quiet, --check=silent
    identique à -c mais sans afficher la première mauvaise ligne

--compress-program=PROGRAMME
    compresser les fichiers temporaires avec PROGRAMME ; les décompresser avec PROGRAMME -d

--debug
    indiquer la partie de la ligne utilisée pour le tri et signaler les utilisations douteuses sur la sortie d'erreur standard

--files0-from=FICHIER
    prendre comme entrée les fichiers listés dans le FICHIER, les noms se terminant par un caractère NUL. Si FICHIER est -, alors lire les noms depuis l'entrée standard

-k, --key=DEFCLÉ
    trier selon une clé ; DEFCLÉ indique sa position et son type

-m, --merge
    fusionner des fichiers déjà triés ; ne pas trier

-o, --output=FICHIER
    écrire le résultat dans le FICHIER à la place de la sortie standard

-s, --stable
    stabiliser le tri en inhibant la comparaison de dernier recours

-S, --buffer-size=TAILLE
    utiliser la TAILLE pour le tampon mémoire principal

-t, --field-separator=SÉPARATEUR
    utiliser le SÉPARATEUR à la place d'une transition d'un caractère non blanc vers un caractère blanc

-T, --temporary-directory=RÉPERTOIRE
    utiliser le RÉPERTOIRE pour les fichiers temporaires à la place de $TMPDIR ou /tmp ; des options multiples indiquent des répertoires multiples

--parallel=N
    changer le nombre de tris effectués en parallèle à N

-u, --unique
    Avec -c, vérifier que le classement est strict ; sans -c, n'afficher que la première entrée identique rencontrée

-z, --zero-terminated
    terminer les lignes avec l'octet 0, et non pas par un caractère de saut de ligne

--help
    Afficher l'aide-mémoire et quitter

--version
    Afficher le nom et la version du logiciel et quitter

DEFCLÉ est de la forme F[.C][OPTS][,F[.C][OPTS]] indiquant les positions de début et de fin, où F est le numéro du champ et C la position du caractère dans le champ ; les deux commencent à partir de 1. Si non spécifiée, la fin correspond à la fin de la ligne. Si ni -t ni -b ne sont utilisée, les caractères d'un champ sont comptés en commençant à l'espace précédent. OPTS se présente sous la forme d'une ou plusieurs options de tri composée d'une lettre parmi [bdfgiMhnRrV], lesquelles écrasent le classement global pour cette clé. Si aucune clé n'est indiquée, la ligne entière est utilisée comme clé.

TAILLE peut être suivi d'un des suffixes multiplicatifs suivants : % 1% de mémoire, b 1, K 1024 (par défaut), et ainsi de suite pour M, G, T, P, E, Z, Y.

L'entrée standard est lue quand FICHIER est omis ou quand FICHIER vaut « - ».

*** ATTENTION *** Les paramètres régionaux utilisés dans l'environnement affectent l'ordre du tri. Utiliser LC_ALL=C pour obtenir un tri selon un ordre traditionnel qui utilise la valeur native des octets.

AUTEUR
Écrit par Mike Haertel et Paul Eggert.

SIGNALER DES BOGUES
Signaler toute anomalie de sort à bug-coreutils@gnu.org
Page d'accueil de GNU coreutils : <http://www.gnu.org/software/coreutils/>
Aide générale sur l'utilisation des logiciels GNU : <http://www.gnu.org/gethelp/>
Signaler toute erreur de traduction de sort à <http://translationproject.org/team/>

COPYRIGHT
Copyright © 2013 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou supérieures <http://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
uniq(1)

La documentation complète pour sort est disponible dans un manuel Texinfo. Si les programmes info et sort sont correctement installés sur votre système, la commande

    info coreutils 'sort invocation'

devrait vous donner accès au manuel complet (en anglais).

TRADUCTION
Cette page de manuel a été traduite par Michel Robitaille <robitail AT iro DOT umontreal DOT ca> et mise à jour pour Debian par Jean-Luc Coulon (f5ibh) <jean-luc DOT coulon AT wanadoo DOT fr> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.